/*************************************************************************

LinePicker.h header file

LinePickerDlg - A simple Dialog to select line Attributes :
	- Style 
	- Width
	- Color

Andr Deperrois - October 2003

Compatibility: Visual C++ 6.0 and up.

**************************************************************************/



#if !defined(AFX_LINEPICKERDLG_H__A444708A_C54A_4A87_A71E_901CC8F35C19__INCLUDED_)
#define AFX_LINEPICKERDLG_H__A444708A_C54A_4A87_A71E_901CC8F35C19__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LinePickerDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLinePickerDlg dialog
#define IDD_LINEPICKERDLG	(5110)


#include "LineCbBox.h"
#include "ColorBtn.h"

class CLinePickerDlg : public CDialog{
// Construction
public:
	void SetWidth(int nWidth);
	void SetStyle(int nStyle);
	void SetColor(COLORREF crColor);
	int GetWidth();
	int GetStyle();
	COLORREF GetColor();
	CLinePickerDlg(CWnd* pParent = NULL);   // standard constructor


// Dialog Data
	//{{AFX_DATA(CLinePickerDlg)
	enum { IDD = IDD_LINEPICKERDLG };
	CButton	m_ctrlOK;
	CLineCbBox	m_ctrlWidth;
	CLineCbBox	m_ctrlStyle;
	CColorBtn	m_ctrlColorBtn;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLinePickerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	int m_nStyle;
	int m_nWidth;
	COLORREF m_crColor;


protected:
	CWnd* m_pParent;

	// Generated message map functions
	//{{AFX_MSG(CLinePickerDlg)
	afx_msg void OnColorBtn();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelChangeWidth();
	afx_msg void OnSelChangeStyle();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LINEPICKERDLG_H__A444708A_C54A_4A87_A71E_901CC8F35C19__INCLUDED_)
